driver.switch_to.context() 报错问题

本贴最后更新于 291 天前,其中的信息可能已经沧海桑田

APPIUM执行webview切换的时候,报谷歌驱动版本和adb版本不匹配;我的谷歌驱动版本是86版本

image.png

adb版本是1.0.31版本,但是86版本的谷歌驱动需要,1.0.38以上版本的adb,所以解决方法:

1、去网络下载1.0.38以上版本的adb,我下载的是1.0.40版本

image.png

2、将sdk中的D:\android_sdk\sdk\platform-tools里的以下3个文件替换掉就OK

image.png

3、替换掉之后,重启电脑,重新执行代码OK通过。

回帖
请输入回帖内容 ...